Package org.drinkless.tdlib

# Class TdApi.VideoNote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.VideoNote

Enclosing class:
  `TdApi`

public static class TdApi.VideoNote extends TdApi.Object
Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the video, in seconds; as defined by the sender.
  `int`
  `length`
  Video width and height; as defined by the sender.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Video minithumbnail; may be null.
  `TdApi.SpeechRecognitionResult`
  `speechRecognitionResult`
  Result of speech recognition in the video note; may be null.
  `TdApi.Thumbnail`
  `thumbnail`
  Video thumbnail in JPEG format; as defined by the sender; may be null.
  `TdApi.File`
  `video`
  File containing the video.
  `byte[]`
  `waveform`
  A waveform representation of the video note's audio in 5-bit format; may be empty if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VideoNote()`
  Describes a video note.
  `VideoNote(int duration, byte[] waveform, int length, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.SpeechRecognitionResult speechRecognitionResult, TdApi.File video)`
  Describes a video note.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### duration

    public int duration
    Duration of the video, in seconds; as defined by the sender.

  - ### waveform

    public byte[] waveform
    A waveform representation of the video note's audio in 5-bit format; may be empty if unknown.

  - ### length

    public int length
    Video width and height; as defined by the sender.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Video minithumbnail; may be null.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Video thumbnail in JPEG format; as defined by the sender; may be null.

  - ### speechRecognitionResult

    @Nullable public TdApi.SpeechRecognitionResult speechRecognitionResult
    Result of speech recognition in the video note; may be null.

  - ### video

    public TdApi.File video
    File containing the video.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VideoNote

    public VideoNote()
    Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.

  - ### VideoNote

    public VideoNote(int duration, byte[] waveform, int length, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.SpeechRecognitionResult speechRecognitionResult, TdApi.File video)
    Describes a video note. The video must be equal in width and height, cropped to a circle, and stored in MPEG4 format.
    Parameters:
      `duration` - Duration of the video, in seconds; as defined by the sender.
      `waveform` - A waveform representation of the video note's audio in 5-bit format; may be empty if unknown.
      `length` - Video width and height; as defined by the sender.
      `minithumbnail` - Video minithumbnail; may be null.
      `thumbnail` - Video thumbnail in JPEG format; as defined by the sender; may be null.
      `speechRecognitionResult` - Result of speech recognition in the video note; may be null.
      `video` - File containing the video.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR